<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_node_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_node_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_node_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Node object descriptor. </p>
<p>Fields with name target_* are only accessed by target CPU Fields with name host_* are only accessed by host CPU Other fields are accessed by both target and host </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a03b652a236d7adc1a8472a3f3568055f">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">base object descriptor  <a href="#a03b652a236d7adc1a8472a3f3568055f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a66ba208b764dfc33957afa50eab4c826">flags</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">node flags see TIVX_NODE_FLAG_xxx  <a href="#a66ba208b764dfc33957afa50eab4c826"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a59a452da1f524aa79c391775495105f3">kernel_id</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ID of kernel to execute on target.  <a href="#a59a452da1f524aa79c391775495105f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#add873605442c16e5ba4e89d1114652ca">target_id</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ID of target to execute on. Set by host.  <a href="#add873605442c16e5ba4e89d1114652ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a7848e5269eca552c4a58bc7e26bbc66c">node_complete_cmd_obj_desc_id</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">command to send when node completes execution  <a href="#a7848e5269eca552c4a58bc7e26bbc66c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uintptr_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a1c9304b52456721025060d0578de5ac2">host_node_ref</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Handle to OpenVX Node reference, valid only on host side.  <a href="#a1c9304b52456721025060d0578de5ac2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a9abdd9400dfdea0c44baec4369178d61">target_kernel_index</a> [TIVX_NODE_MAX_REPLICATE]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Index in target kernel table.  <a href="#a9abdd9400dfdea0c44baec4369178d61"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a07b0904d2b8a0d04e3063bd3be5bae56">exe_status</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">node execution status  <a href="#a07b0904d2b8a0d04e3063bd3be5bae56"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a73a9479d2ea9a78bef66091c82bd3649">exe_time_beg_h</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">node execution time  <a href="#a73a9479d2ea9a78bef66091c82bd3649"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#aae3229cec1e56f08b703f6df1a7b6115">exe_time_beg_l</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">node execution time  <a href="#aae3229cec1e56f08b703f6df1a7b6115"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a3ea569d26497b3b2a28331e02ac587a7">exe_time_end_h</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">node execution time  <a href="#a3ea569d26497b3b2a28331e02ac587a7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#aa765c1f3fe78c344b6740689da2db130">exe_time_end_l</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">node execution time  <a href="#aa765c1f3fe78c344b6740689da2db130"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a4fecbe3574053ccb469a8f7aa3a72f6f">num_params</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">number of parameters associated with this node  <a href="#a4fecbe3574053ccb469a8f7aa3a72f6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a2a43c3e06b5459979e6e65809b987004">num_out_nodes</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of nodes that are connected to output of this node.  <a href="#a2a43c3e06b5459979e6e65809b987004"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a68c58da5f45b0048924112fdc2453e34">num_in_nodes</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of nodes that are connected to output of this node.  <a href="#a68c58da5f45b0048924112fdc2453e34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structvx__border__t.html">vx_border_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#acc6e3f435fe97bff1c7bea3dd569a19c">border_mode</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">border mode  <a href="#acc6e3f435fe97bff1c7bea3dd569a19c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a06dfb149b449a526efe33871be6ec14f">is_prm_replicated</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">bitmask which indicates if prm is replicated valid only when TIVX_NODE_FLAG_IS_REPLICATED is set in flags. bitN = 1 means param at index N is replicated  <a href="#a06dfb149b449a526efe33871be6ec14f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a6454f4f1b941a56acdf20c576ae01644">num_of_replicas</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">number of times node is replicated valid only when TIVX_NODE_FLAG_IS_REPLICATED is set in flags.  <a href="#a6454f4f1b941a56acdf20c576ae01644"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a52645fb7794dcefbdf87ccd2f0a24b46">data_id</a> [TIVX_KERNEL_MAX_PARAMS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">parameter object descriptors  <a href="#a52645fb7794dcefbdf87ccd2f0a24b46"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a4589184bf8aea905a30686b9552fa434">out_node_id</a> [TIVX_NODE_MAX_OUT_NODES]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">parameter object descriptors  <a href="#a4589184bf8aea905a30686b9552fa434"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a6978fe4f16c4b3af539ff2b13ca270cb">in_node_id</a> [TIVX_NODE_MAX_IN_NODES]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">parameter object descriptors  <a href="#a6978fe4f16c4b3af539ff2b13ca270cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html#a51155a9e2c23f7505b5dd5a7fc308a8a">dummy</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Added dummy variable to keep structure size 8byte aligned.  <a href="#a51155a9e2c23f7505b5dd5a7fc308a8a"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a03b652a236d7adc1a8472a3f3568055f"></a><!-- doxytag: member="tivx_obj_desc_node_t::base" ref="a03b652a236d7adc1a8472a3f3568055f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> <a class="el" href="structtivx__obj__desc__node__t.html#a03b652a236d7adc1a8472a3f3568055f">tivx_obj_desc_node_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>base object descriptor </p>

</div>
</div>
<a class="anchor" id="a66ba208b764dfc33957afa50eab4c826"></a><!-- doxytag: member="tivx_obj_desc_node_t::flags" ref="a66ba208b764dfc33957afa50eab4c826" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#a66ba208b764dfc33957afa50eab4c826">tivx_obj_desc_node_t::flags</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>node flags see TIVX_NODE_FLAG_xxx </p>

</div>
</div>
<a class="anchor" id="a59a452da1f524aa79c391775495105f3"></a><!-- doxytag: member="tivx_obj_desc_node_t::kernel_id" ref="a59a452da1f524aa79c391775495105f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#a59a452da1f524aa79c391775495105f3">tivx_obj_desc_node_t::kernel_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ID of kernel to execute on target. </p>

</div>
</div>
<a class="anchor" id="add873605442c16e5ba4e89d1114652ca"></a><!-- doxytag: member="tivx_obj_desc_node_t::target_id" ref="add873605442c16e5ba4e89d1114652ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#add873605442c16e5ba4e89d1114652ca">tivx_obj_desc_node_t::target_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ID of target to execute on. Set by host. </p>

</div>
</div>
<a class="anchor" id="a7848e5269eca552c4a58bc7e26bbc66c"></a><!-- doxytag: member="tivx_obj_desc_node_t::node_complete_cmd_obj_desc_id" ref="a7848e5269eca552c4a58bc7e26bbc66c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#a7848e5269eca552c4a58bc7e26bbc66c">tivx_obj_desc_node_t::node_complete_cmd_obj_desc_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>command to send when node completes execution </p>
<p>This is set by host in following conditions</p>
<ul>
<li>when user callback is attached and host wants intimation of node execution complete in order to call user callback</li>
<li>when this is a leaf node and host needs intimation of node execution complete in order to check for graph execution complete </li>
</ul>

</div>
</div>
<a class="anchor" id="a1c9304b52456721025060d0578de5ac2"></a><!-- doxytag: member="tivx_obj_desc_node_t::host_node_ref" ref="a1c9304b52456721025060d0578de5ac2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uintptr_t <a class="el" href="structtivx__obj__desc__node__t.html#a1c9304b52456721025060d0578de5ac2">tivx_obj_desc_node_t::host_node_ref</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Handle to OpenVX Node reference, valid only on host side. </p>

</div>
</div>
<a class="anchor" id="a9abdd9400dfdea0c44baec4369178d61"></a><!-- doxytag: member="tivx_obj_desc_node_t::target_kernel_index" ref="a9abdd9400dfdea0c44baec4369178d61" args="[TIVX_NODE_MAX_REPLICATE]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#a9abdd9400dfdea0c44baec4369178d61">tivx_obj_desc_node_t::target_kernel_index</a>[TIVX_NODE_MAX_REPLICATE]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Index in target kernel table. </p>
<p>Used for fast indexing to kernel functions during graph execute phase.</p>
<p>This is filled by target side during node create phase </p>

</div>
</div>
<a class="anchor" id="a07b0904d2b8a0d04e3063bd3be5bae56"></a><!-- doxytag: member="tivx_obj_desc_node_t::exe_status" ref="a07b0904d2b8a0d04e3063bd3be5bae56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#a07b0904d2b8a0d04e3063bd3be5bae56">tivx_obj_desc_node_t::exe_status</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>node execution status </p>

</div>
</div>
<a class="anchor" id="a73a9479d2ea9a78bef66091c82bd3649"></a><!-- doxytag: member="tivx_obj_desc_node_t::exe_time_beg_h" ref="a73a9479d2ea9a78bef66091c82bd3649" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#a73a9479d2ea9a78bef66091c82bd3649">tivx_obj_desc_node_t::exe_time_beg_h</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>node execution time </p>

</div>
</div>
<a class="anchor" id="aae3229cec1e56f08b703f6df1a7b6115"></a><!-- doxytag: member="tivx_obj_desc_node_t::exe_time_beg_l" ref="aae3229cec1e56f08b703f6df1a7b6115" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#aae3229cec1e56f08b703f6df1a7b6115">tivx_obj_desc_node_t::exe_time_beg_l</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>node execution time </p>

</div>
</div>
<a class="anchor" id="a3ea569d26497b3b2a28331e02ac587a7"></a><!-- doxytag: member="tivx_obj_desc_node_t::exe_time_end_h" ref="a3ea569d26497b3b2a28331e02ac587a7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#a3ea569d26497b3b2a28331e02ac587a7">tivx_obj_desc_node_t::exe_time_end_h</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>node execution time </p>

</div>
</div>
<a class="anchor" id="aa765c1f3fe78c344b6740689da2db130"></a><!-- doxytag: member="tivx_obj_desc_node_t::exe_time_end_l" ref="aa765c1f3fe78c344b6740689da2db130" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#aa765c1f3fe78c344b6740689da2db130">tivx_obj_desc_node_t::exe_time_end_l</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>node execution time </p>

</div>
</div>
<a class="anchor" id="a4fecbe3574053ccb469a8f7aa3a72f6f"></a><!-- doxytag: member="tivx_obj_desc_node_t::num_params" ref="a4fecbe3574053ccb469a8f7aa3a72f6f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#a4fecbe3574053ccb469a8f7aa3a72f6f">tivx_obj_desc_node_t::num_params</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>number of parameters associated with this node </p>

</div>
</div>
<a class="anchor" id="a2a43c3e06b5459979e6e65809b987004"></a><!-- doxytag: member="tivx_obj_desc_node_t::num_out_nodes" ref="a2a43c3e06b5459979e6e65809b987004" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#a2a43c3e06b5459979e6e65809b987004">tivx_obj_desc_node_t::num_out_nodes</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Number of nodes that are connected to output of this node. </p>

</div>
</div>
<a class="anchor" id="a68c58da5f45b0048924112fdc2453e34"></a><!-- doxytag: member="tivx_obj_desc_node_t::num_in_nodes" ref="a68c58da5f45b0048924112fdc2453e34" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#a68c58da5f45b0048924112fdc2453e34">tivx_obj_desc_node_t::num_in_nodes</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Number of nodes that are connected to output of this node. </p>

</div>
</div>
<a class="anchor" id="acc6e3f435fe97bff1c7bea3dd569a19c"></a><!-- doxytag: member="tivx_obj_desc_node_t::border_mode" ref="acc6e3f435fe97bff1c7bea3dd569a19c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structvx__border__t.html">vx_border_t</a> <a class="el" href="structtivx__obj__desc__node__t.html#acc6e3f435fe97bff1c7bea3dd569a19c">tivx_obj_desc_node_t::border_mode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>border mode </p>

</div>
</div>
<a class="anchor" id="a06dfb149b449a526efe33871be6ec14f"></a><!-- doxytag: member="tivx_obj_desc_node_t::is_prm_replicated" ref="a06dfb149b449a526efe33871be6ec14f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#a06dfb149b449a526efe33871be6ec14f">tivx_obj_desc_node_t::is_prm_replicated</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>bitmask which indicates if prm is replicated valid only when TIVX_NODE_FLAG_IS_REPLICATED is set in flags. bitN = 1 means param at index N is replicated </p>

</div>
</div>
<a class="anchor" id="a6454f4f1b941a56acdf20c576ae01644"></a><!-- doxytag: member="tivx_obj_desc_node_t::num_of_replicas" ref="a6454f4f1b941a56acdf20c576ae01644" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#a6454f4f1b941a56acdf20c576ae01644">tivx_obj_desc_node_t::num_of_replicas</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>number of times node is replicated valid only when TIVX_NODE_FLAG_IS_REPLICATED is set in flags. </p>

</div>
</div>
<a class="anchor" id="a52645fb7794dcefbdf87ccd2f0a24b46"></a><!-- doxytag: member="tivx_obj_desc_node_t::data_id" ref="a52645fb7794dcefbdf87ccd2f0a24b46" args="[TIVX_KERNEL_MAX_PARAMS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t <a class="el" href="structtivx__obj__desc__node__t.html#a52645fb7794dcefbdf87ccd2f0a24b46">tivx_obj_desc_node_t::data_id</a>[TIVX_KERNEL_MAX_PARAMS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>parameter object descriptors </p>

</div>
</div>
<a class="anchor" id="a4589184bf8aea905a30686b9552fa434"></a><!-- doxytag: member="tivx_obj_desc_node_t::out_node_id" ref="a4589184bf8aea905a30686b9552fa434" args="[TIVX_NODE_MAX_OUT_NODES]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t <a class="el" href="structtivx__obj__desc__node__t.html#a4589184bf8aea905a30686b9552fa434">tivx_obj_desc_node_t::out_node_id</a>[TIVX_NODE_MAX_OUT_NODES]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>parameter object descriptors </p>

</div>
</div>
<a class="anchor" id="a6978fe4f16c4b3af539ff2b13ca270cb"></a><!-- doxytag: member="tivx_obj_desc_node_t::in_node_id" ref="a6978fe4f16c4b3af539ff2b13ca270cb" args="[TIVX_NODE_MAX_IN_NODES]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t <a class="el" href="structtivx__obj__desc__node__t.html#a6978fe4f16c4b3af539ff2b13ca270cb">tivx_obj_desc_node_t::in_node_id</a>[TIVX_NODE_MAX_IN_NODES]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>parameter object descriptors </p>

</div>
</div>
<a class="anchor" id="a51155a9e2c23f7505b5dd5a7fc308a8a"></a><!-- doxytag: member="tivx_obj_desc_node_t::dummy" ref="a51155a9e2c23f7505b5dd5a7fc308a8a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__node__t.html#a51155a9e2c23f7505b5dd5a7fc308a8a">tivx_obj_desc_node_t::dummy</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Added dummy variable to keep structure size 8byte aligned. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
